Linkage (Gradle API 8.11)

Package org.gradle.nativeplatform

## Enum Linkage

- java.lang.Object
- - java.lang.Enum<Linkage>
  - - org.gradle.nativeplatform.Linkage

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Linkage>`, `Named`

      public enum Linkage
      extends java.lang.Enum<Linkage>
      implements Named

  Specify how a native library should be linked into another binary.
  Since:
    4.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `SHARED` | Dynamically link binaries together.
    `STATIC` | Statically link binaries together.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | The object's name.
    `static Linkage` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Linkage[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATIC

          public static final Linkage STATIC

      Statically link binaries together.

    - #### SHARED

          public static final Linkage SHARED

      Dynamically link binaries together.

  - ### Method Detail

    - #### values

          public static Linkage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Linkage c : Linkage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Linkage valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `Named`
      The object's name.

      Must be constant for the life of the object.

      Specified by:
        `getName` in interface `Named`
      Returns:
        The name. Never null.